Name:             umockdev
Version:          0.17.18
Release:          1
Summary:          Mock hardware devices
License:          LGPLv2+
URL:              https://github.com/martinpitt/%{name}
Source0:          https://github.com/martinpitt/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:    autoconf automake libtool gtk-doc gobject-introspection-devel glib2-devel
BuildRequires:    libgudev1-devel systemd-devel vala chrpath python3
BuildRequires:    meson libpcap-devel systemd-udev

%description
umockdev mocks Linux devices for creating integration tests for hardware related libraries and programs.
It also provides tools to record the properties and behaviour of particular devices, and to run a
program or test suite under a test bed with the previously recorded devices loaded.

%package devel
Summary:          umockdev development kit.
Requires:         %{name} = %{version}-%{release}

%description devel
The umockdev-devel package contains umockdev development library.

%prep
%autosetup  -n %{name}-%{version} -p1

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%delete_la

chrpath --delete %{buildroot}%{_bindir}/{umockdev-record,umockdev-run}
chrpath --delete %{buildroot}%{_libdir}/{libumockdev.so.*,libumockdev-preload.so.*}

rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/umockdev

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING
%doc README.md
%{_bindir}/umockdev-*
%{_libdir}/libumockdev.so.*
%{_libdir}/libumockdev-preload.so*
%{_libdir}/girepository-1.0/UMockdev-1.0.typelib

%files devel
%doc docs/script-format.txt docs/examples/battery.c docs/examples/battery.py
%{_libdir}/libumockdev.so
%{_libdir}/pkgconfig/umockdev-1.0.pc
%{_datadir}/gir-1.0/UMockdev-1.0.gir
%{_includedir}/umockdev-1.0
%{_datadir}/gtk-doc/html/umockdev/
%{_datadir}/vala/vapi/umockdev-1.0.vapi

%changelog
* Wed Aug 23 2023 yaoxin <yao_xin001@hoperun.com> - 0.17.18-1
- Update to 0.17.18

* Mon Jul 17 2023 chenchen <chen_aka_jan@163.com> - 0.17.17-1
- update to 0.17.17

* Mon Apr 25 2022 caodongxia <caodongxia@h-partners.com> - 0.17.9-1
- update to 0.17.9

* Wed Aug 4 2021 wutao <tushenmei@huawei.com> - 0.11.3-5
- bugfix-of-gcc10.patch

* Sat Jun 26 2021 wutao <wutao61@huawei.com> - 0.11.3-4
- fix build error due to glibc update

* Mon Jan 07 2019 yangjian<yangjian79@huawei.com> - 0.11.3-3
- Package init
